For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTAccept amendment
      • DELCancel amendment
      • POSTConfirm amendment
      • GETContract amendment PDF
      • POSTCreate amendment
      • GETGet amendment by ID
      • GETGet amendment validation settings
      • GETGet amendments by contract
      • GETRetrieve Effective Date Limitations
      • POSTSign a contract amendment (employee)
      • PATCHUpdate amendment
      • POSTValidate amendment data points
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsEor Amendments

Retrieve Effective Date Limitations

GET
/eor/contracts/:contract_id/amendments/:amendment_id/effective-date-limitations
GET
/rest/v2/eor/contracts/:contract_id/amendments/:amendment_id/effective-date-limitations
$curl https://api.letsdeel.com/rest/v2/eor/contracts/3w6pd6r/amendments/ad8e84f9-a9a2-4842-a6ee-1d76228e39b1/effective-date-limitations \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "message": "Due to the country's regulations, the effective date is available from the first day of the current payroll cycle onwards",
4 "is_hidden": false,
5 "is_disabled": true,
6 "max_effective_date": "2025-12-31T00:00:00Z",
7 "min_effective_date": "2025-07-01T00:00:00Z",
8 "default_effective_date": "2025-08-01T00:00:00Z"
9 }
10}

Returns validation rules for the effective date field within an EOR contract amendment flow. Token scopes: contracts:read

Was this page helpful?
Previous

Sign a contract amendment (employee)

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
The unique identifier of the EOR worker contract
amendment_idstringRequiredformat: "uuid"
A unique identifier for the employee contract amendment

Response

Returns the effective date limits for the amendment.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication